## kodi-pvr-nextpvr-dmo 20.4.3

=== depends/common/tinyxml2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
cmake_policy(VERSION 2.6)

project(tinyxml2)
include(GNUInstallDirs)
#enable_testing()

#CMAKE_BUILD_TOOL

################################
# set lib version here

set(GENERIC_LIB_VERSION "1.0.12")
set(GENERIC_LIB_SOVERSION "1")


################################
# Add common source 

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/.")

################################
# Add custom target to copy all data

set(TARGET_DATA_COPY DATA_COPY)
if(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
	add_custom_target(
		${TARGET_DATA_COPY}
	 	COMMAND ${CMAKE_COMMAND} -E echo "In source build")
else(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
	make_directory(${CMAKE_CURRENT_BINARY_DIR}/resources/)
	add_custom_target(
		${TARGET_DATA_COPY}
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/dream.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/empty.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8test.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/
		COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/resources/utf8testverify.xml ${CMAKE_CURRENT_BINARY_DIR}/resources/)
endif(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})

################################
# Add definitions

if(MSVC)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

################################
# Add targets
set(BUILD_STATIC_LIBS ON CACHE BOOL "Set to ON to build static libraries")
if(BUILD_STATIC_LIBS)
	add_library(tinyxml2 STATIC tinyxml2.cpp tinyxml2.h)
else(BUILD_STATIC_LIBS)
	add_library(tinyxml2 SHARED tinyxml2.cpp tinyxml2.h)
endif(BUILD_STATIC_LIBS)
set_target_properties(tinyxml2 PROPERTIES
	VERSION "${GENERIC_LIB_VERSION}"
	SOVERSION "${GENERIC_LIB_SOVERSION}")

add_executable(test xmltest.cpp)
add_dependencies(test tinyxml2)
add_dependencies(test ${TARGET_DATA_COPY})
target_link_libraries(test tinyxml2)


if(BUILD_STATIC_LIBS)
	install(TARGETS tinyxml2
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
else(BUILD_STATIC_LIBS)
	install(TARGETS tinyxml2
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(BUILD_STATIC_LIBS)
install(FILES tinyxml2.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

foreach(p LIB INCLUDE)
	set(var CMAKE_INSTALL_${p}DIR)
	if(NOT IS_ABSOLUTE "${${var}}")
		set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
	endif()
endforeach()

configure_file(tinyxml2.pc.in tinyxml2.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tinyxml2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

#add_test(test ${SAMPLE_NAME} COMMAND $<TARGET_FILE:${SAMPLE_NAME}>)

## kodi-pvr-nextpvr-dmo 19.0.6

=== debian/changelog ===
kodi-pvr-nextpvr-dmo (6:19.0.6-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jan 2023 10:07:05 +0100

kodi-pvr-nextpvr-dmo (6:19.0.5-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Dec 2022 08:52:40 +0100

kodi-pvr-nextpvr-dmo (6:19.0.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Aug 2022 08:20:32 +0200

kodi-pvr-nextpvr-dmo (6:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jan 2022 09:47:01 +0100

kodi-pvr-nextpvr-dmo (6:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Nov 2021 15:09:30 +0100

kodi-pvr-nextpvr-dmo (6:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Oct 2021 16:58:19 +0200

kodi-pvr-nextpvr-dmo (6:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Sep 2021 17:24:03 +0200

kodi-pvr-nextpvr-dmo (6:8.2.8-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Sep 2021 14:07:53 +0200

kodi-pvr-nextpvr-dmo (6:8.2.7-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Aug 2021 08:25:40 +0200

kodi-pvr-nextpvr-dmo (6:8.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Jul 2021 10:35:07 +0200

kodi-pvr-nextpvr-dmo (6:8.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Jul 2021 07:51:54 +0200

kodi-pvr-nextpvr-dmo (6:8.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 01:16:25 +0200

kodi-pvr-nextpvr-dmo (6:8.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Apr 2021 07:27:36 +0200

kodi-pvr-nextpvr-dmo (6:8.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Feb 2021 00:41:30 +0100

kodi-pvr-nextpvr-dmo (6:3.3.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Jul 2020 07:15:23 +0200

kodi-pvr-nextpvr-dmo (6:3.3.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 May 2020 07:53:27 +0200

kodi-pvr-nextpvr-dmo (6:3.3.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Mar 2020 08:42:23 +0100

kodi-pvr-nextpvr-dmo (6:3.3.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Jan 2020 08:20:12 +0100

kodi-pvr-nextpvr-dmo (6:3.3.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2019 09:51:41 +0100

kodi-pvr-nextpvr-dmo (6:3.3.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Aug 2019 19:02:27 +0200

kodi-pvr-nextpvr-dmo (6:3.3.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2019 08:03:13 +0200

kodi-pvr-nextpvr-dmo (6:3.3.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Mar 2019 18:07:33 +0100

kodi-pvr-nextpvr-dmo (6:3.3.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Mar 2019 00:22:43 +0100

kodi-pvr-nextpvr-dmo (6:3.3.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jan 2019 11:30:29 +0100

kodi-pvr-nextpvr-dmo (6:2.4.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Aug 2017 16:00:29 +0200

kodi-pvr-nextpvr-dmo (6:2.4.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Mar 2017 11:31:10 +0200

kodi-pvr-nextpvr-dmo (6:2.4.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2017 13:28:34 +0100

kodi-pvr-nextpvr-dmo (6:2.4.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2017 15:55:27 +0100

kodi-pvr-nextpvr-dmo (6:1.12.19-dmo2) unstable; urgency=medium

  * Rebuild against libp8-platform2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Oct 2016 16:03:03 +0200

kodi-pvr-nextpvr-dmo (6:1.12.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jun 2016 15:12:38 +0200

kodi-pvr-nextpvr-dmo (6:1.12.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 May 2016 11:24:38 +0200

kodi-pvr-nextpvr-dmo (6:1.12.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Apr 2016 08:14:45 +0200

kodi-pvr-nextpvr-dmo (6:1.12.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Apr 2016 13:42:10 +0200

kodi-pvr-nextpvr-dmo (6:1.12.15-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: kodi-pvr-nextpvr-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.nextpvr.com
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libtinyxml2-dev, ninja-build

Package: kodi-pvr-nextpvr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}
Description: NextPVR PVR addon for Kodi
 This package contains the NextPVR PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media
 .
 NextPVR is a free Personal Video Recorder (PVR) application for Microsoft
 Windows.
 .
 NextPVR supports a wide range of digital tuners including DVB-S/S2, DVB-
 T/T2, DVB-C, DMB-T, ATSC and QAM. NextPVR also supports specialist
 component/HDMI capture devices (like the Hauppauge HDPVR, HDPVR2 and
 Colossus), and Copy-Freely devices (like the Hauppauge DCR-2650 and
 HDHomeRun Prime). NextPVR supports all broadcast codec's including: MPEG-2
 and H.264 video, and MPEG1 Layer II, AC3, E-AC3, AAC, HE-AAC audio.

=== debian/watch ===
version=4

#https://github.com/kodi-pvr/pvr.nextpvr/releases \
#(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-pvr-nextpvr-dmo 20.4.3

=== debian/changelog ===
kodi-pvr-nextpvr-dmo (6:20.4.3-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Aug 2023 07:34:01 +0200

kodi-pvr-nextpvr-dmo (6:20.4.2-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Jun 2023 08:44:42 +0200

kodi-pvr-nextpvr-dmo (6:20.4.1-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Apr 2023 08:44:05 +0200

kodi-pvr-nextpvr-dmo (6:20.4.0-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Jan 2023 12:12:10 +0100

kodi-pvr-nextpvr-dmo (6:20.3.1-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 19:23:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://www.nextpvr.com
+Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libtinyxml2-dev, ninja-build
 
 Package: kodi-pvr-nextpvr

=== debian/watch ===
version=4

#https://github.com/kodi-pvr/pvr.nextpvr/releases \
#(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-pvr-nextpvr-dmo 21.3.2

=== debian/changelog ===
kodi-pvr-nextpvr-dmo (6:21.3.2-dmo2) unstable; urgency=medium

  * Build with libtinyxml2-11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Mar 2025 08:51:13 +0100

kodi-pvr-nextpvr-dmo (6:21.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2025 01:48:41 +0100

kodi-pvr-nextpvr-dmo (6:21.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 01:21:13 +0100

kodi-pvr-nextpvr-dmo (6:21.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2024 08:34:54 +0100

kodi-pvr-nextpvr-dmo (6:21.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Aug 2024 00:50:38 +0200

kodi-pvr-nextpvr-dmo (6:21.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jul 2024 22:00:36 +0200

kodi-pvr-nextpvr-dmo (6:21.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 May 2024 23:41:57 +0200

kodi-pvr-nextpvr-dmo (6:21.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Apr 2024 07:21:45 +0200

kodi-pvr-nextpvr-dmo (6:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 14:06:28 +0200

kodi-pvr-nextpvr-dmo (6:20.4.3-dmo2) unstable; urgency=medium

  * Build with libtinyxml2-10

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jan 2024 09:49:01 +0100

kodi-pvr-nextpvr-dmo (6:20.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Aug 2023 07:15:23 +0200

kodi-pvr-nextpvr-dmo (6:20.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jun 2023 20:05:05 +0200

kodi-pvr-nextpvr-dmo (6:20.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Apr 2023 08:28:36 +0200

kodi-pvr-nextpvr-dmo (6:20.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Jan 2023 17:04:25 +0100

kodi-pvr-nextpvr-dmo (6:20.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 16:09:37 +0100

kodi-pvr-nextpvr-dmo (6:19.0.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Dec 2022 23:01:27 +0100

kodi-pvr-nextpvr-dmo (6:19.0.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Nov 2022 22:56:23 +0100

kodi-pvr-nextpvr-dmo (6:19.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Aug 2022 23:21:06 +0200

kodi-pvr-nextpvr-dmo (6:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Jan 2022 13:55:01 +0100

kodi-pvr-nextpvr-dmo (6:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Nov 2021 12:55:02 +0100

kodi-pvr-nextpvr-dmo (6:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Oct 2021 09:36:02 +0200

kodi-pvr-nextpvr-dmo (6:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Sep 2021 14:15:01 +0200

kodi-pvr-nextpvr-dmo (6:8.2.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Sep 2021 01:22:11 +0200

kodi-pvr-nextpvr-dmo (6:8.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Sep 2021 20:11:07 +0200

kodi-pvr-nextpvr-dmo (6:8.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Aug 2021 01:18:32 +0200

kodi-pvr-nextpvr-dmo (6:8.2.6-dmo2) unstable; urgency=medium

  * Build with libtinyxml2-9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Aug 2021 16:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://www.nextpvr.com
-Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
- libtinyxml2-dev, ninja-build
+Homepage: https://www.nextpvr.com
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
+ libtinyxml2-dev (>= 9.0.0~), ninja-build
 
 Package: kodi-pvr-nextpvr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs pvr.nextpvr/changelog.txt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.nextpvr/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
